Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class FileList

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.FileList

public class FileList
extends DataType

FileList represents an explicitly named list of files. FileLists are useful when you want to capture a list of files regardless of whether they currently exist. By contrast, FileSet operates as a filter, only returning the name of a matched file if it currently exists in the file system.

Nested Class Summary
`static class` | `FileList.FileName` Inner class corresponding to the <file> nested element.

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`` | `FileList()` The default constructor.
`protected` | `FileList(FileList filelist)` A copy constructor.

Method Summary
`void` | `addConfiguredFile(FileList.FileName name)` Add a nested <file> nested element.
`java.io.File` | `getDir(Project p)`
`java.lang.String[]` | `getFiles(Project p)` Returns the list of files represented by this FileList.
`protected FileList` | `getRef(Project p)` Performs the check for circular references and returns the referenced FileList.
`void` | `setDir(java.io.File dir)` Set the dir attribute.
`void` | `setFiles(java.lang.String filenames)` Set the filenames attribute.
`void` | `setRefid(Reference r)` Makes this instance in effect a reference to another FileList instance.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileList

    public FileList()

  The default constructor.

### FileList

    protected FileList(FileList filelist)

  A copy constructor.

Parameters:
  `filelist` - a `FileList` value

Method Detail

### setRefid

    public void setRefid(Reference r)
                  throws BuildException

  Makes this instance in effect a reference to another FileList instance.

  You must not set another attribute or nest elements inside this element if you make it a reference.

  Overrides:
    `setRefid` in class `DataType`
  Parameters:
    `r` - the reference to another filelist.
  Throws:
    `BuildException` - if an error occurs.

### setDir

    public void setDir(java.io.File dir)
                throws BuildException

  Set the dir attribute.

  Parameters:
    `dir` - the directory this filelist is relative to.
  Throws:
    `BuildException` - if an error occurs

### getDir

    public java.io.File getDir(Project p)

  Parameters:
    `p` - the current project
  Returns:
    the directory attribute

### setFiles

    public void setFiles(java.lang.String filenames)

  Set the filenames attribute.

  Parameters:
    `filenames` - a string contains filenames, separated by , or by whitespace.

### getFiles

    public java.lang.String[] getFiles(Project p)

  Returns the list of files represented by this FileList.

  Parameters:
    `p` - the current project
  Returns:
    the list of files represented by this FileList.

### getRef

    protected FileList getRef(Project p)

  Performs the check for circular references and returns the referenced FileList.

  Parameters:
    `p` - the current project
  Returns:
    the FileList represented by a referenced filelist.

### addConfiguredFile

    public void addConfiguredFile(FileList.FileName name)

  Add a nested <file> nested element.

  Parameters:
    `name` - a configured file element with a name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.